classification
Title: Transient test_multiprocessing failure (test_active_children)
Type: behavior Stage:
Components: Library (Lib), Tests Versions: Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: jnoller Nosy List: georg.brandl, jnoller, pitrou, sandro.tosi, skrah
Priority: normal Keywords:

Created on 2009-08-06 20:10 by pitrou, last changed 2013-03-28 15:25 by georg.brandl. This issue is now closed.

Messages (8)
msg91383 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-08-06 20:10
I just got the following test_multiprocessing error (cannot reproduce,
though):

test test_multiprocessing failed -- Traceback (most recent call last):
  File
"/home/antoine/cpython/seek-6629/Lib/test/test_multiprocessing.py", line
232, in test_active_children
    self.assertTrue(p in self.active_children())
AssertionError: False is not True
msg91384 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-08-06 20:33
ugh. that's not useful. Dunno how I'm going to track down seemingly random 
and unreproducible issues.
msg91385 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2009-08-06 20:36
I know, I was posting it for completeness, and it case someone else
witnesses it.
msg91386 - (view) Author: Jesse Noller (jnoller) * (Python committer) Date: 2009-08-06 20:39
I know, just makes me :(
msg119810 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-10-28 20:10
Hello,
what can we do with this issue? It doesn't seem it happened again after Antoine's report (or at least no-one had followed it up) and it doesn't happen nowdays (f.e. I exec'd test_multiprocessing in a loop for some time, and no error comes).

What do you think about closing it as "sorry, unable to replicate it" and so mark it a glitch somehow?
msg119812 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-10-28 20:14
I've seen that one as well, but very rarely.
msg119813 - (view) Author: Sandro Tosi (sandro.tosi) * (Python committer) Date: 2010-10-28 20:22
well, at least we have a confirmation it's still there :)

any idea how we can try to debug it?
msg185452 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-03-28 15:25
2.5 years later I don't think it's much use keeping this open.
History
Date User Action Args
2013-03-28 15:25:20georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg185452

resolution: wont fix
2010-10-28 20:22:53sandro.tosisetmessages: + msg119813
2010-10-28 20:14:57skrahsetnosy: + skrah
messages: + msg119812
2010-10-28 20:10:29sandro.tosisetnosy: + sandro.tosi
messages: + msg119810
2010-04-18 22:03:29vstinnersettitle: Transient test_multiprocessing failure -> Transient test_multiprocessing failure (test_active_children)
2009-08-06 20:39:58jnollersetmessages: + msg91386
2009-08-06 20:36:33pitrousetmessages: + msg91385
2009-08-06 20:33:37jnollersetmessages: + msg91384
2009-08-06 20:10:47pitroucreate